## org.apache.batik.svggen.font.table
Class CmapIndexEntry

    java.lang.Object
      org.apache.batik.svggen.font.table.CmapIndexEntry

    public class CmapIndexEntry

extends java.lang.Object

Constructor Summary
`protected` `CmapIndexEntry(java.io.RandomAccessFile raf)`

Method Summary
`int` `getEncodingId()`
`int` `getOffset()`
`int` `getPlatformId()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CmapIndexEntry

    protected CmapIndexEntry(java.io.RandomAccessFile raf)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getEncodingId

    public int getEncodingId()

### getOffset

    public int getOffset()

### getPlatformId

    public int getPlatformId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.